[X2Go-Commits] x2gothinclient.git - master (branch) updated: 1.0.1.8-85-gf51ce71

X2Go dev team git-admin at x2go.org
Mon Apr 1 18:04:30 CEST 2013


The branch, master has been updated
       via  f51ce717c9443124c5829a64afd0226d8236ae35 (commit)
       via  d485ba449a9668cf4f0a7d004b4c47e61713ac01 (commit)
       via  d3f406d51f4af531037ac956e6ecdfa639a2c79f (commit)
      from  aaba851450b69d66ebd3bfd2e79e7f7892f5d9e1 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 debian/changelog                    |    3 +++
 debian/x2gocdmanager.init           |   13 ++++++++-----
 debian/x2gothinclient.init          |    2 +-
 debian/x2gothinclient.prerm         |    4 +---
 x2gothinclient/sbin/x2gothinclientd |   16 ++--------------
 5 files changed, 15 insertions(+), 23 deletions(-)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index 29492d6..66e4b70 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -54,6 +54,7 @@ x2gothinclient (1.0.99.1-0~x2go1) UNRELEASED; urgency=low
     - x2gothinclient_update: make sure config target folders exist.
     - x2gothinclient_create: syntax fix, spotted by Thomas Güttler (Fixes: #95).
     - Export $LANG and $LANGUAGE to TCE daemon.
+    - Use qx instead of open3 to launch x2goclient. (Fixes: #66).
   * /debian/control:
     + Maintainer change in package: X2Go Developers <x2go-dev at lists.berlios.de>.
     + Priority: optional.
@@ -79,6 +80,8 @@ x2gothinclient (1.0.99.1-0~x2go1) UNRELEASED; urgency=low
   * Launch X2Go TCE via /etc/X11/default-display-manager. Add debconf template
     to handle default display manager selection. Inspired by Debian's gdm
     package.
+  * Only start X2Go CD Manager if x2gothinclientd is the default display
+    manager.
 
   [ Oleksandr Shneyder ]
   * New upstream version (1.0.99.1):
diff --git a/debian/x2gocdmanager.init b/debian/x2gocdmanager.init
index d759d30..b71f3af 100644
--- a/debian/x2gocdmanager.init
+++ b/debian/x2gocdmanager.init
@@ -49,9 +49,12 @@ test -x $DAEMON || exit 0
 
 case "$1" in
 	start)
-		log_daemon_msg "Starting $DESC" "x2gocdmanager"
-		start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
-		log_end_msg $?
+		# only start the X2Go CD Manager if x2gothinclientd is configured as the default display manager
+		if [ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" = "/usr/sbin/x2gothinclientd" ]; then
+			log_daemon_msg "Starting $DESC" "x2gocdmanager"
+			start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+			log_end_msg $?
+		fi
 	;;
 	stop)
 		log_daemon_msg "Stopping $DESC" "x2gocdmanager"
@@ -63,9 +66,9 @@ case "$1" in
 	;;
 	restart)
 		log_daemon_msg "Restarting $DESC" "x2gocdmanager"
-		start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid
+		$0 stop
 		sleep 1
-		start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+		$0 start
 		log_end_msg $?
 	;;
 	*)
diff --git a/debian/x2gothinclient.init b/debian/x2gothinclient.init
index cbfd047..15c0028 100644
--- a/debian/x2gothinclient.init
+++ b/debian/x2gothinclient.init
@@ -78,7 +78,7 @@ case "$1" in
 	stop)
 		if [ -e /var/run/$NAME.pid ]; then
 			log_daemon_msg "Stopping $DESC" "x2gothinclientd"
-			start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid && echo "$NAME." || echo "not running"
+			start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid
 			log_end_msg $?
 		fi
 	;;
diff --git a/debian/x2gothinclient.prerm b/debian/x2gothinclient.prerm
index 92edd7a..9b7fb81 100755
--- a/debian/x2gothinclient.prerm
+++ b/debian/x2gothinclient.prerm
@@ -61,9 +61,7 @@ fi
 
 case "$1" in
 	remove)
-		if [ -x /etc/init.d/x2gothinclient ]; then
-			invoke-rc.d x2gothinclient stop
-		fi
+		:
 		;;
 	deconfigure|upgrade|failed-upgrade)
 		:
diff --git a/x2gothinclient/sbin/x2gothinclientd b/x2gothinclient/sbin/x2gothinclientd
index 088137e..9e86548 100755
--- a/x2gothinclient/sbin/x2gothinclientd
+++ b/x2gothinclient/sbin/x2gothinclientd
@@ -133,20 +133,8 @@ elsif ($pid == 0 )
 		}
 
 		# test if x2goclient is running, if not launch it...
-		my $x2goclient_pid = 0;
-		if ( !check_client() )
-		{
-			local *IN, *OUT, *ERR;
-			$x2goclient_pid = eval {
-				open3( \*IN, \*OUT, \*ERR, "su - x2gothinclient -c 'DISPLAY=:0 bash -c \"/etc/x2go/x2gothinclient_start &\"'");
-			};
-			## give X2Go Client some time to start
-			sleep(3);
-			## wait for x2goclient to finish
-			if ( check_client() )
-			{
-				waitpid( $x2goclient_pid, 0 );
-			}
+		if ( !check_client() ) {
+			qx(su - x2gothinclient -c \"export DISPLAY=:0; /etc/x2go/x2gothinclient_start\");
 		}
 	}
 }


hooks/post-receive
-- 
x2gothinclient.git (X2Go Thin Client Environment)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gothinclient.git" (X2Go Thin Client Environment).




More information about the x2go-commits mailing list